#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	python2		# Python 2 package
%bcond_without	python3		# Python 3 package
%bcond_without	tests		# unit tests

%define		module	lxml
Summary:	Python 2 binding for the libxml2 and libxslt libraries
Summary(pl.UTF-8):	Wiązanie Pythona 2 do bibliotek libxml2 i libxslt
Name:		python-%{module}
Version:	4.9.1
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/lxml/
Source0:	https://files.pythonhosted.org/packages/source/l/lxml/%{module}-%{version}.tar.gz
# Source0-md5:	e27240a7319d80d0c1e5390ca31eb1d8
URL:		https://lxml.de/
BuildRequires:	libxml2-devel >= 1:2.9.2
BuildRequires:	libxslt-devel >= 1.1.28
BuildRequires:	pkgconfig
%if %{with python2}
BuildRequires:	python-Cython >= 0.29.30
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-Cython >= 0.29.30
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries.

%description -l pl.UTF-8
lxml to pythonowe wiązanie do bibliotek libxml2 i libxslt.

%package -n python3-%{module}
Summary:	Python 3 binding for the libxml2 and libxslt libraries
Summary(pl.UTF-8):	Wiązanie Pythona 3 do bibliotek libxml2 i libxslt
Group:		Libraries/Python

%description -n python3-%{module}
lxml is a Pythonic binding for the libxml2 and libxslt libraries.

%description -n python3-%{module} -l pl.UTF-8
lxml to pythonowe wiązanie do bibliotek libxml2 i libxslt.

%package apidocs
Summary:	lxml API documentation
Summary(pl.UTF-8):	Dokumentacja API modułu lxml
Group:		Documentation
BuildArch:	noarch

%description apidocs
lxml API documentation.

%description apidocs -l pl.UT8-8
Dokumentacja API modułu lxml.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
install -d testdir-2/src/lxml
cd testdir-2/src/lxml
ln -snf ../../../build-2/lib.linux-*/lxml/* ../../../src/lxml/tests .
cd ../..
ln -snf ../doc ../samples ../test.py .
LC_ALL=C.UTF-8 \
%{__python} test.py -v
cd ..
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
install -d testdir-3/src/lxml
cd testdir-3/src/lxml
ln -snf ../../../build-3/lib.linux-*/lxml/* ../../../src/lxml/tests .
cd ../..
ln -snf ../doc ../samples ../test.py .
%{__python3} test.py -v
cd ..
%endif
%endif

%if %{with apidocs}
# as of 4.4.2, python3 is not supported in mkhtml.py
PYTHONPATH=$(echo $(pwd)/build-2/lib.linux-*) \
%{__python} doc/mkhtml.py doc/html $(pwd) %{version}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt LICENSE.txt LICENSES.txt README.rst TODO.txt doc/licenses/{BSD,elementtree}.txt
%dir %{py_sitedir}/lxml
%{py_sitedir}/lxml/*.py[co]
%{py_sitedir}/lxml/etree*.h
%{py_sitedir}/lxml/lxml.etree*.h
%{py_sitedir}/lxml/includes
%{py_sitedir}/lxml/isoschematron
%attr(755,root,root) %{py_sitedir}/lxml/_elementpath.so
%attr(755,root,root) %{py_sitedir}/lxml/builder.so
%attr(755,root,root) %{py_sitedir}/lxml/etree.so
%attr(755,root,root) %{py_sitedir}/lxml/objectify.so
%attr(755,root,root) %{py_sitedir}/lxml/sax.so
%dir %{py_sitedir}/lxml/html
%{py_sitedir}/lxml/html/*.py[co]
%attr(755,root,root) %{py_sitedir}/lxml/html/clean.so
%attr(755,root,root) %{py_sitedir}/lxml/html/diff.so
%{py_sitedir}/lxml-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt LICENSE.txt LICENSES.txt README.rst TODO.txt doc/licenses/{BSD,elementtree}.txt
%dir %{py3_sitedir}/lxml
%attr(755,root,root) %{py3_sitedir}/lxml/_elementpath.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/lxml/builder.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/lxml/etree.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/lxml/objectify.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/lxml/sax.cpython-*.so
%{py3_sitedir}/lxml/*.py
%{py3_sitedir}/lxml/__pycache__
%{py3_sitedir}/lxml/etree*.h
%{py3_sitedir}/lxml/lxml.etree*.h
%{py3_sitedir}/lxml/includes
%{py3_sitedir}/lxml/isoschematron
%dir %{py3_sitedir}/lxml/html
%{py3_sitedir}/lxml/html/*.py
%{py3_sitedir}/lxml/html/__pycache__
%attr(755,root,root) %{py3_sitedir}/lxml/html/clean.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/lxml/html/diff.cpython-*.so
%{py3_sitedir}/lxml-%{version}-py*.egg-info
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif
%changelog
* Sun Sep 18 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-lxml.git;a=log;h=master

* Mon Sep 12 2022 Jakub Bogusz <qboosh@pld-linux.org> ec5415e
- updated to 4.9.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 978b8fb
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 325dcc7
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 2666e9c
- rebuild with python 3.10

* Sat Mar 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 9cafda4
- updated to 4.8.0

* Sat Nov 27 2021 Jan Rękorajski <baggins@pld-linux.org> 14fc75c
- up to 4.6.4

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 2bdb3f3
- rebuild with separate debuginfo build-ids

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> d50a3f3
- unconditional noarch subpackages

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 7e41332
- release 2 (by relup.sh)

* Sat Jan 23 2021 Jakub Bogusz <qboosh@pld-linux.org> b4e20e3
- updated to 4.6.2 (fixes CVE-2020-27783)

* Mon Jan 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 5342f17
- updated to 4.6.1 (HTML Cleaner vulnerability fix)

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> b471452
- updated to 4.4.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 10206db
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Nov 08 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fce80a9
- up to 4.2.5

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 4c2d499
- updated to 4.2.3

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 928ce96
- release 2 (by relup.sh)

* Sun Nov 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 00a14e7
- updated to 4.1.1

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 12e521f
- python 3.6
- release 2 (by relup.sh)

* Fri May 06 2016 Elan Ruusamäe <glen@delfi.ee> a6453ed
- typo?

* Fri May 06 2016 Elan Ruusamäe <glen@delfi.ee> d3b1534
- BR recommended libxml2, libxslt versions

